module Paths_tagged (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,0,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/Users/pumpkin/.cabal/bin"
libdir     = "/Users/pumpkin/.cabal/lib/tagged-0.0.1/ghc-6.10.3"
datadir    = "/Users/pumpkin/.cabal/share/tagged-0.0.1"
libexecdir = "/Users/pumpkin/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "tagged_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "tagged_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "tagged_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "tagged_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
